Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_PI_Control_Block::ACE_Name_Node Class Reference

This class supports "named memory regions" within <ACE_Malloc>. More...

`#include <PI_Malloc.h>`

Collaboration diagram for ACE_PI_Control_Block::ACE_Name_Node:

[legend]
List of all members.

## Public Methods
| ACE_Name_Node (const char *name, char *name_ptr, char *pointer, ACE_Name_Node *head)
| Constructor. More...
| ACE_Name_Node (const ACE_Name_Node &)
| Copy constructor. More...
| ACE_Name_Node (void)
| Constructor. More...
| ~ACE_Name_Node (void)
| Constructor. More...
const char * | name (void) const
| Return a pointer to the name of this node. More...
void | name (const char *)
| Assign a name;. More...
void | dump (void) const
| Dump the state of the object. More...
## Static Public Methods
void | init_ptr (NAME_NODE_PTR *ptr, ACE_Name_Node *init, void *base_addr)
| Initialize a name node pointer. More...
## Public Attributes
CHAR_PTR | name_
| Name of the Node. More...
CHAR_PTR | pointer_
| Pointer to the contents. More...
NAME_NODE_PTR | next_
| Pointer to the next node in the doubly-linked list. More...
NAME_NODE_PTR | prev_
| Pointer to the previous node in the doubly-linked list. More...
## Private Methods
void | operator= (const ACE_Name_Node &)

## Detailed Description

This class supports "named memory regions" within <ACE_Malloc>.

Internally, the named memory regions are stored as a doubly-linked list within the <Memory_Pool>. This makes it easy to iterate over the items in the list in both FIFO and LIFO order.

## Constructor & Destructor Documentation

ACE_PI_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | const char * | name,
|  | char * | name_ptr,
|  | char * | pointer,
|  | ACE_Name_Node * | next
| ) |

| Constructor.

ACE_PI_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | const ACE_Name_Node & |  | ) |

| Copy constructor.

ACE_PI_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | void |  | ) |

| Constructor.

ACE_PI_Control_Block::ACE_Name_Node::~ACE_Name_Node | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void ACE_PI_Control_Block::ACE_Name_Node::dump | ( | void |  | ) | const

| Dump the state of the object.

void ACE_PI_Control_Block::ACE_Name_Node::init_ptr | ( | NAME_NODE_PTR * | ptr,
|  | ACE_Name_Node * | init,
|  | void * | base_addr
| ) | `[static]`

| Initialize a name node pointer.

void ACE_PI_Control_Block::ACE_Name_Node::name | ( | const char * |  | ) |

| Assign a name;.

const char * ACE_PI_Control_Block::ACE_Name_Node::name | ( | void |  | ) | const

| Return a pointer to the name of this node.

void ACE_PI_Control_Block::ACE_Name_Node::operator= | ( | const ACE_Name_Node & |  | ) | `[private]`

## Member Data Documentation

CHAR_PTR ACE_PI_Control_Block::ACE_Name_Node::name_

| Name of the Node.

NAME_NODE_PTR ACE_PI_Control_Block::ACE_Name_Node::next_

| Pointer to the next node in the doubly-linked list.

CHAR_PTR ACE_PI_Control_Block::ACE_Name_Node::pointer_

| Pointer to the contents.

NAME_NODE_PTR ACE_PI_Control_Block::ACE_Name_Node::prev_

| Pointer to the previous node in the doubly-linked list.

The documentation for this class was generated from the following files:

- PI_Malloc.h
- PI_Malloc.cpp